<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('calculators/calculators:calculate-delivery', [\App\Http\ApiV1\Modules\Calculators\Controllers\CalculatorController::class, 'calculate'])->name('calculateDelivery');
Route::post('cargo-orders/cargo-orders/{id}:cancel', [\App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoOrdersController::class, 'cancel'])->name('cancelCargoOrders');
Route::post('cargo-orders/cargo-orders:search', [\App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoOrdersController::class, 'search'])->name('searchCargoOrders');
Route::patch('cargo-orders/cargo/{id}', [\App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoController::class, 'patch'])->name('patchCargo');
Route::post('cargo-orders/cargo/{id}:cancel', [\App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoController::class, 'cancel'])->name('cancelCargo');
Route::post('cargo-orders/cargo:search', [\App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoController::class, 'search'])->name('searchCargo');
Route::post('delivery-orders/delivery-orders:search', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrdersController::class, 'search'])->name('searchDeliveryOrders');
Route::post('delivery-orders/delivery-orders:search-one', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrdersController::class, 'searchOne'])->name('searchOneDeliveryOrder');
Route::post('delivery-orders/delivery-order-status-mapping', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'create'])->name('createDeliveryOrderStatusMapping');
Route::get('delivery-orders/delivery-order-status-mapping/{id}', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'get'])->name('getDeliveryOrderStatusMapping');
Route::put('delivery-orders/delivery-order-status-mapping/{id}', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'replace'])->name('replaceDeliveryOrderStatusMapping');
Route::delete('delivery-orders/delivery-order-status-mapping/{id}', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'delete'])->name('deleteDeliveryOrderStatusMapping');
Route::post('delivery-orders/delivery-order-status-mapping:search', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'search'])->name('searchDeliveryOrderStatusMapping');
Route::post('delivery-orders/delivery-order-status-mapping:search-one', [\App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController::class, 'searchOne'])->name('searchOneDeliveryOrderStatusMapping');
Route::get('delivery-services/delivery-services/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController::class, 'get'])->name('getDeliveryService');
Route::put('delivery-services/delivery-services/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController::class, 'replace'])->name('replaceDeliveryService');
Route::patch('delivery-services/delivery-services/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController::class, 'patch'])->name('patchDeliveryService');
Route::post('delivery-services/delivery-services:search', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController::class, 'search'])->name('searchDeliveryServices');
Route::post('delivery-services/delivery-services:search-one', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController::class, 'searchOne'])->name('searchOneDeliveryService');
Route::post('delivery-services/delivery-services/{id}:add-payment-methods', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicePaymentMethodLinksController::class, 'add'])->name('addPaymentMethodsToDeliveryService');
Route::post('delivery-services/delivery-services/{id}:delete-payment-method', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicePaymentMethodLinksController::class, 'delete'])->name('deletePaymentMethodFromDeliveryService');
Route::post('delivery-services/delivery-service-documents', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'create'])->name('createDeliveryServiceDocument');
Route::get('delivery-services/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'get'])->name('getDeliveryServiceDocument');
Route::put('delivery-services/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'replace'])->name('replaceDeliveryServiceDocument');
Route::delete('delivery-services/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'delete'])->name('deleteDeliveryServiceDocument');
Route::patch('delivery-services/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'patch'])->name('patchDeliveryServiceDocument');
Route::post('delivery-services/delivery-service-documents/{id}:upload-file', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentFilesController::class, 'upload'])->name('uploadDeliveryServiceDocumentFile');
Route::post('delivery-services/delivery-service-documents/{id}:delete-file', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentFilesController::class, 'delete'])->name('deleteDeliveryServiceDocumentFile');
Route::post('delivery-services/delivery-service-documents:search', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'search'])->name('searchDeliveryServiceDocuments');
Route::post('delivery-services/delivery-service-documents:search-one', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController::class, 'searchOne'])->name('searchOneDeliveryServiceDocument');
Route::post('delivery-services/delivery-service-managers', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'create'])->name('createDeliveryServiceManager');
Route::get('delivery-services/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'get'])->name('getDeliveryServiceManager');
Route::put('delivery-services/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'replace'])->name('replaceDeliveryServiceManager');
Route::delete('delivery-services/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'delete'])->name('deleteDeliveryServiceManager');
Route::patch('delivery-services/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'patch'])->name('patchDeliveryServiceManager');
Route::post('delivery-services/delivery-service-managers:search', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'search'])->name('searchDeliveryServiceManagers');
Route::post('delivery-services/delivery-service-managers:search-one', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController::class, 'searchOne'])->name('searchOneDeliveryServiceManager');
Route::post('geos/points:search', [\App\Http\ApiV1\Modules\Geos\Controllers\PointsController::class, 'search'])->name('searchPoints');
Route::post('delivery-prices/tariffs:search', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\TariffsController::class, 'search'])->name('searchTariffs');
Route::post('geos/delivery-cities:search', [\App\Http\ApiV1\Modules\Geos\Controllers\DeliveryCitiesController::class, 'search'])->name('searchDeliveryCities');
Route::post('delivery-prices/delivery-prices', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'create'])->name('createDeliveryPrice');
Route::get('delivery-prices/delivery-prices/{id}', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'get'])->name('getDeliveryPrice');
Route::put('delivery-prices/delivery-prices/{id}', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'replace'])->name('replaceDeliveryPrice');
Route::delete('delivery-prices/delivery-prices/{id}', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'delete'])->name('deleteDeliveryPrice');
Route::patch('delivery-prices/delivery-prices/{id}', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'patch'])->name('patchDeliveryPrice');
Route::post('delivery-prices/delivery-prices:search', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'search'])->name('searchDeliveryPrices');
Route::post('delivery-prices/delivery-prices:search-one', [\App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController::class, 'searchOne'])->name('searchOneDeliveryPrice');
Route::post('geos/federal-districts', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'create'])->name('createFederalDistrict');
Route::get('geos/federal-districts/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'get'])->name('getFederalDistrict');
Route::put('geos/federal-districts/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'replace'])->name('replaceFederalDistrict');
Route::delete('geos/federal-districts/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'delete'])->name('deleteFederalDistrict');
Route::patch('geos/federal-districts/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'patch'])->name('patchFederalDistrict');
Route::post('geos/federal-districts:search', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'search'])->name('searchFederalDistricts');
Route::post('geos/federal-districts:search-one', [\App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController::class, 'searchOne'])->name('searchOneFederalDistrict');
Route::post('geos/regions', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'create'])->name('createRegion');
Route::get('geos/regions/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'get'])->name('getRegion');
Route::put('geos/regions/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'replace'])->name('replaceRegion');
Route::delete('geos/regions/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'delete'])->name('deleteRegion');
Route::patch('geos/regions/{id}', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'patch'])->name('patchRegion');
Route::post('geos/regions:search', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'search'])->name('searchRegions');
Route::post('geos/regions:search-one', [\App\Http\ApiV1\Modules\Geos\Controllers\RegionsController::class, 'searchOne'])->name('searchOneRegion');
Route::get('delivery-kpis/delivery-kpi', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiController::class, 'get'])->name('getDeliveryKpi');
Route::put('delivery-kpis/delivery-kpi', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiController::class, 'replace'])->name('replaceDeliveryKpi');
Route::patch('delivery-kpis/delivery-kpi', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiController::class, 'patch'])->name('patchDeliveryKpi');
Route::post('delivery-kpis/delivery-kpi-ct:search', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'search'])->name('searchDeliveryKpiCts');
Route::post('delivery-kpis/delivery-kpi-ct:search-one', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'searchOne'])->name('searchOneDeliveryKpiCt');
Route::get('delivery-kpis/delivery-kpi-ct/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'get'])->name('getDeliveryKpiCt');
Route::put('delivery-kpis/delivery-kpi-ct/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'replace'])->name('replaceDeliveryKpiCt');
Route::post('delivery-kpis/delivery-kpi-ct/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'create'])->name('createDeliveryKpiCt');
Route::delete('delivery-kpis/delivery-kpi-ct/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController::class, 'delete'])->name('deleteDeliveryKpiCt');
Route::post('delivery-kpis/delivery-kpi-ppt:search', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'search'])->name('searchDeliveryKpiPpts');
Route::post('delivery-kpis/delivery-kpi-ppt:search-one', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'searchOne'])->name('searchOneDeliveryKpiPpt');
Route::get('delivery-kpis/delivery-kpi-ppt/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'get'])->name('getDeliveryKpiPpt');
Route::put('delivery-kpis/delivery-kpi-ppt/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'replace'])->name('replaceDeliveryKpiPpt');
Route::post('delivery-kpis/delivery-kpi-ppt/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'create'])->name('createDeliveryKpiPpt');
Route::delete('delivery-kpis/delivery-kpi-ppt/{seller-id}', [\App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController::class, 'delete'])->name('deleteDeliveryKpiPpt');
Route::get('delivery-services/delivery-methods', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDirectoriesController::class, 'getDeliveryMethods'])->name('getDeliveryMethods');
Route::get('delivery-services/delivery-service-statuses', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDirectoriesController::class, 'getDeliveryServiceStatuses'])->name('getDeliveryServiceStatuses');
Route::get('delivery-services/shipment-methods', [\App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDirectoriesController::class, 'getShipmentMethods'])->name('getShipmentMethods');
